Subject: bug#8606: closed (Re: bug#8606: Works in 8.5 but broken from 8.10 onwards)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 May 2011 04:25:02 +0000

Your bug report

#8606: coreutils: du

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8606: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8606
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8606: Works in 8.5 but broken from 8.10 onwards
From: Paul Eggert <[email-masked]>
To: Debarshi Ray <[email-masked]>
Cc: [email-masked]
Date: Mon, 02 May 2011 21:24:50 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 05/02/11 18:51, Debarshi Ray wrote:
> If this is indeed a bug, then I can try to cook a patch.

No, it's expected.  In the NEWS file, it's the first bug
fix listed under coreutils 8.6.

Subject: coreutils: du
From: Edgar Kalkowski <[email-masked]>
To: [email-masked]
Date: Mon, 2 May 2011 17:38:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear coreutils team,

I have coreutils 8.11 installed on my system via Arch Linux packages and have experienced some unexpected behaviour of the "du" utility. When I execute

du -hs . .git

in a folder that contains some files and a subfolder named ".git" the output I get is

194M    .

The output I would expect is

194M    .
97M     .git

If I change the order of the arguments to read

du -hs .git .

I get the output

97M     .git
97M     .

which again is not the desired result and in fact wrong because the reported size for '.' is 97M whereas a simple `du -hs .` reveals the size of '.' as 194M. It would be great if you could fix this bug or tell me what I did wrong here. :)

Keep up your great work!

Greetings from Germany, Edgar Kalkowski